      subroutine combi2(ioijkl,n,m,ifin)
      INTEGER*4 ioijkl(m)
      j1=0
      if(m.eq.0) then
         ifin=1
         return
      endif
      do 3 j=1,m
 3    if(ioijkl(j).eq.n-m+j) j1=j1+1
      if(j1.eq.m) goto 4
      ioijkl(m-j1)=ioijkl(m-j1)+1
      if(j1.eq.0) goto 5
      mmj1=m-j1+1
      do 6 j=mmj1,m
6     ioijkl(j)=ioijkl(j-1)+1
 5    continue
      ifin=0
      if(ioijkl(1).eq.n-m+1) ifin=1
      return
4     continue
      ifin=1
      return
      end
